base: 'https://www.hawe.com/'
baseVariants:
  -
    base: '%env(BASE_DOMAIN_DEFAULT)%'
    condition: 'applicationContext == "Development/Local"'
  -
    base: 'https://hawe.dev18.newego-dev.de/'
    condition: 'applicationContext == "Development/Dev"'
  -
    base: 'https://hawe.staging18.newego-dev.de/'
    condition: 'applicationContext == "Production/Staging"'
dependencies:
  - sjbr/static-info-tables
  - newego/ne-distribution
  - newego/ne-announce
  - newego/ne-contactmap
  - newego/ne-fair
  - newego/ne-form-ext
  - newego/ne-hawe-leads
  - newego/ne-hawe-newsletter
  - newego/ne-salesforce
  - newego/ne-solr-ext
  - newego/ne-configurator
errorHandling:
  -
    errorCode: 404
    errorHandler: PHP
    errorPhpClassFQCN: NEWEGO\NeBase\Error\PageContentErrorHandler
    errorContentSource: 't3://page?uid=3'
friendlyCaptcha:
  apiKey: A11U3VCEJA373Q3EKIU4TTUFFLGMS39HDFHVQR12U86CS1HUDPOS4JJCRE
  siteKey: FCMHAM8OV0C32M8B
languages:
  -
    title: English
    enabled: true
    base: /
    typo3Language: default
    locale: en_US.UTF-8
    iso-639-1: en
    navigationTitle: Global
    hreflang: x-default
    direction: ''
    flag: global
    languageId: 0
    solr_core_read: hawe13_1_0_en_EN
    websiteTitle: ''
  -
    title: de_DE
    enabled: true
    base: /de-de/
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    navigationTitle: Deutschland
    hreflang: de-DE
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: de
    languageId: 1
    solr_core_read: hawe13_1_1_de_DE
    websiteTitle: ''
  -
    title: zh_CN
    enabled: true
    base: /zh-cn/
    typo3Language: zh
    locale: zh_CN.UTF-8
    iso-639-1: zh
    navigationTitle: 中国
    hreflang: zh-CN
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: cn
    languageId: 2
    solr_core_read: hawe13_1_2_zh_CN
    websiteTitle: ''
  -
    title: fr_FR
    enabled: true
    base: /fr-fr/
    typo3Language: fr
    locale: fr_FR.UTF-8
    iso-639-1: fr
    navigationTitle: France
    hreflang: fr-FR
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: fr
    languageId: 3
    solr_core_read: hawe13_1_3_fr_FR
    websiteTitle: ''
  -
    title: es_ES
    enabled: true
    base: /es-es/
    typo3Language: es
    locale: es_ES.UTF-8
    iso-639-1: es
    navigationTitle: España
    hreflang: es-ES
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: es
    languageId: 4
    solr_core_read: hawe13_1_4_es_ES
    websiteTitle: ''
  -
    title: it_IT
    enabled: true
    base: /it-it/
    typo3Language: it
    locale: it_IT.UTF-8
    iso-639-1: it
    navigationTitle: Italia
    hreflang: it-IT
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: it
    languageId: 5
    solr_core_read: hawe13_1_5_it_IT
    websiteTitle: ''
  -
    title: ja_JP
    enabled: true
    base: /ja-jp/
    typo3Language: ja
    locale: ja_JP.UTF-8
    iso-639-1: ja
    navigationTitle: 日本
    hreflang: ja-JP
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: jp
    languageId: 6
    solr_core_read: hawe13_1_6_ja_JP
    websiteTitle: ''
  -
    title: ko_KR
    enabled: true
    base: /ko-kr/
    typo3Language: ko
    locale: ko_KR.UTF-8
    iso-639-1: ko
    navigationTitle: 한국
    hreflang: ko-KR
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: kr
    languageId: 7
    solr_core_read: hawe13_1_7_ko_KR
    websiteTitle: ''
  -
    title: de_CH
    enabled: true
    base: /de-ch/
    typo3Language: de
    locale: de_CH.UTF-8
    iso-639-1: de
    navigationTitle: Schweiz
    hreflang: de-CH
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: ch
    languageId: 8
    solr_core_read: hawe13_1_8_de_CH
    websiteTitle: ''
  -
    title: fi_FI
    enabled: true
    base: /fi-fi/
    typo3Language: fi
    locale: fi_FI.UTF-8
    iso-639-1: fi
    navigationTitle: Suomi
    hreflang: fi-FI
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: fi
    languageId: 12
    solr_core_read: hawe13_1_12_fi_FI
    websiteTitle: ''
  -
    title: en_US
    enabled: true
    base: /en-us/
    typo3Language: default
    locale: en_US.UTF-8
    iso-639-1: en
    navigationTitle: 'United States'
    hreflang: en-US
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: us
    languageId: 13
    solr_core_read: hawe13_1_13_en_US
    websiteTitle: ''
  -
    title: de_AT
    enabled: true
    base: /de-at/
    typo3Language: de
    locale: de_AT.UTF-8
    iso-639-1: de
    navigationTitle: Österreich
    hreflang: de-AT
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: at
    languageId: 14
    solr_core_read: hawe13_1_14_de_AT
    websiteTitle: ''
  -
    title: ru_RU
    enabled: false
    base: /ru-ru/
    typo3Language: ru
    locale: ru_RU.UTF-8
    iso-639-1: ru
    navigationTitle: Росси́я
    hreflang: ru-RU
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: ru
    languageId: 15
    solr_core_read: hawe13_1_15_ru_RU
    websiteTitle: ''
  -
    title: da_DK
    enabled: true
    base: /da-dk/
    typo3Language: da
    locale: da_DK.UTF-8
    iso-639-1: da
    websiteTitle: ''
    navigationTitle: Dansk
    hreflang: da-DK
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: dk
    solr_core_read: hawe13_1_17_da_DK
    languageId: 17
  -
    title: tr_TR
    enabled: true
    base: /tr-tr/
    typo3Language: tr
    locale: tr_TR.UTF-8
    iso-639-1: tr
    websiteTitle: ''
    navigationTitle: Türkiye
    hreflang: tr-TR
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: tr
    solr_core_read: hawe13_1_18_tr_TR
    languageId: 18
  - title: nl_NL
    enabled: true
    base: /nl-nl/
    typo3Language: nl
    locale: nl_NL.UTF-8
    iso-639-1: nl
    websiteTitle: ''
    navigationTitle: Nederland
    hreflang: nl-NL
    direction: ''
    fallbackType: free
    fallbacks: '0'
    flag: nl
    solr_core_read: hawe13_1_19_nl_NL
    languageId: 19
rootPageId: 1
routeEnhancers:
  PageTypeSuffix:
    type: PageType
    default: /
    index: ''
    map:
      /: 0
      .html: 0
      sitemap.xml: 1533906435
      .solrsuggest: 7384
      .solrajax: 7383
      .nehaweleads: 20171027
      .smcajax: 2323
      .popup: 1671614762
      .necontactmapajax: 1751017121
      .nefair: 1751273493
      .nenews: 1751284832
  CategoryListing:
    type: Simple
    limitToPages:
      - 1825230
    routePath: '/{product_id}'
    defaults:
      tag: ''
    requirements:
      product_id: .+
    _arguments:
      product_id: product_id
  NeAnnounceDetail:
    type: Extbase
    extension: NeAnnounce
    plugin: Detail
    routes:
      -
        routePath: '/{announce}'
        _controller: 'Announce::show'
        _arguments:
          record_title: announce
    defaultController: 'Announce::show'
    aspects:
      record_title:
        type: PersistedAliasAnnounceMapper
        tableName: tx_neannounce_domain_model_announce
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NeAnnounceCategory:
    type: Extbase
    extension: NeAnnounce
    plugin: Combi
    routes:
      -
        routePath: '/{record_title}'
        _controller: 'Announce::list'
        _arguments:
          record_title: categoryId
    defaultController: 'Announce::list'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
routes:
  -
    route: robots.txt
    type: staticText
    content: "User-agent: *\r\nDisallow: /typo3/\r\nDisallow: /typo3_src/\r\nDisallow: /.awstats-data/\r\nDisallow: /fileadmin/\r\nDisallow: /typo3conf/\r\nDisallow: /typo3temp/\r\nDisallow: /uploads/\r\nDisallow: /test/\r\nDisallow: /*/test/\r\nAllow: /typo3/sysext/frontend/Resources/Public/*\r\n\r\n# Only allow URLs generated with RealURL\r\nDisallow: /*?id=*\r\nDisallow: /*&id=*\r\n\r\n# L=0 is the default language\r\nDisallow: /*?L=0*\r\nDisallow: /*&L=0*\r\n\r\n# typeNum = 98 is usually the print version.\r\nDisallow: /*?type=98*\r\nDisallow: /*&type=98*\r\n\r\n# Should always be protected (.htaccess)\r\nDisallow: /*/Private/*\r\nDisallow: /fileadmin/templates/html/*\r\nDisallow: /*/Configuration/*\r\n\r\nDisallow: /typo3temp/*\r\nAllow: /typo3temp/*.css\r\nAllow: /typo3temp/*.css.*.gzip\r\nAllow: /typo3temp/*.js\r\nAllow: /typo3temp/*.js.*.gzip\r\nAllow: /typo3temp/*.jpg\r\nAllow: /typo3temp/*.gif\r\nAllow: /typo3temp/*.png\r\n\r\nDisallow: *.sql\r\nDisallow: *.sql.gz\r\n\r\nUser-agent: AhrefsBot\r\nDisallow: /\r\n\r\nUser-agent: seoengbot\r\nDisallow: /"
solr_enabled_read: true
solr_host_read: solr3.newego.de
solr_host_write: solr3.newego.de
solr_password_read: 9QHcdMCldpOTTg2RnSt4nqygOgaQHcea
solr_path_read: /
solr_path_write: /
solr_port_read: '9001'
solr_port_write: 9001
solr_scheme_read: http
solr_scheme_write: http
solr_use_write_connection: false
solr_username_read: hawe13
websiteTitle: 'Hawe Hydraulik SE'
